//
//  ViewController.swift
//  Slider2
//
//  Created by Park on 9/14/15.
//  Copyright © 2015 Park. All rights reserved.
//

import UIKit

extension String {
    func toFloat() -> Float {
        if let unwrappedNum = Float(self) {
            return unwrappedNum
        }
        else {
            print("Error converting \"" + self + "\" to Float")
            return 0.0
        }
    }
    func toInt() -> Int {
        if let unwrappedNum = Int(self) {
            return unwrappedNum
        }
        else {
            print("Error converting \"" + self + "\" to Int")
            return 0
        }
    }
}

class ViewController: UIViewController, UITextFieldDelegate {

    @IBOutlet weak var textField1: UITextField!
    
    @IBOutlet weak var slider1: UISlider!
    
    @IBAction func updateTextField(sender: AnyObject) {
        if let slider1 = sender as? UISlider {
            textField1.text = String.localizedStringWithFormat("%.2f", slider1.value)
        }
    }

    func textFieldDidBeginEditing(textField: UITextField) {
        print("textFieldDidBeginEditing")
    }

    func textFieldShouldReturn(textField: UITextField) ->  Bool {
        print("textFieldShouldReturn")
        textField.resignFirstResponder()
        print(textField1.text!)
        slider1.value = textField1.text!.toFloat()
        return true
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
        slider1.value = 20
        textField1.text = "\(slider1.value)"
        //textField1.keyboardType = UIKeyboardType.NumberPad
        textField1.delegate = self // set delegate to textField1
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

}

